Create Document Upload API

Uploads a single document (up to a maximum of 10MB in file size) that BlueSnap underwriting requested during the vendor onboarding process.

To retrieve information about the documents BlueSnap requested, send a Retrieve Document Upload Request.

Endpoint

https://ws.bluesnap.com/services/2/vendors/verification/documents

Request

The request content includes parameters from the Retrieve Documents API Request response as well as the defining attributes of the document being submitted.

ParameterTypeRequiredNotes
caseIdstringrequiredConsistent with what you initially received in the Application Document Request IPN
sandboxIdstringrequiredConsistent with what you initially received in the Application Document Request IPN
docTypestringrequiredDefine based on what the merchant is uploading/responding to
titlestringrequired
fileTypestringrequiredValid values are pdf, png, pdf, tif/tiff, xls, xlsx, jpg, and jpeg.
descriptionstringrequired
contentstringrequiredBase64 encrypted string for the file being submitted

Response

If successful, the response HTTP status code is 200 OK and contains the message "File Uploaded.”

Examples

Request

curl -v -X POST https://ws.bluesnap.com/services/2/merchants/verification/documents \
-H 'Content-Type: application/json' \
-H 'Accept: text/plain' \ 
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
{
    "caseId": "5005a00002hJd75AAC",
    "vendorId": "1156375",
    "docType": "bankDocument",
    "title": "bankcheck.pdf",
    "fileType": "pdf",
    "description": "My Voided Check",
    "content": "SGVsbG8gQmx1ZVNuYXA="
}'

Response

{
    "status": "success",
    "message": "File Uploaded"
}